.\"	$NetBSD: isapnp.4,v 1.23 2003/03/31 19:16:49 perry Exp $
.\"
.\" Copyright (c) 1997 Jonathan Stone
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgements:
.\"      This product includes software developed by Jonathan Stone
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd February 17, 1997
.Dt ISAPNP 4
.Os
.Sh NAME
.Nm isapnp
.Nd introduction to ISA Plug-and-Play support
.Sh SYNOPSIS
.Cd "isapnp0 at isa?"
.Pp
An
.Nm
bus can be configured for each supported ISA bus.
.Sh DESCRIPTION
.Nx
provides machine-independent bus support and
drivers for ISA Plug-and-Play (isapnp) autoconfiguration of
PnP-compatible
devices on an ISA bus.
.Sh SUPPORTED DEVICES
.Nx
includes machine-independent ISAPNP drivers, sorted by function
and driver name:
.Ss SCSI interfaces
.Bl -tag -width pcdisplay -offset indent
.It aha
Adaptec AHA-154[02]
.Tn SCSI
interfaces.
.It aic
Adaptec AHA-1520B
.Tn SCSI
interfaces.
.El
.Ss Disk controllers
.Bl -tag -width pcdisplay -offset indent
.It wdc
Standard IDE and ATAPI drive controller.
.El
.Ss Serial and parallel interfaces
.Bl -tag -width pcdisplay -offset indent
.It com
8250/16450/16550-compatible ISA PnP serial cards and internal modems.
.El
.Ss Network interfaces
.Bl -tag -width pcdisplay -offset indent
.It an
.Tn Aironet
4500/4800 and
.Tn Cisco
340 series 802.11 interfaces.
.It ep
3Com 3c509B EtherLink III
.Tn Ethernet
interface.
.It le
PCnet-PnP
.Tn Ethernet
interfaces based on the successor to the AMD LANCE chip.
.It ne
NE2000-compatible
.Tn Ethernet
interfaces.
.It tr
TROPIC based token ring interfaces.
.El
.\"
.Ss Sound cards
.Bl -tag -width pcdisplay -offset indent
.It ess
ESS Technology derived PnP sound cards and devices.
.It guspnp
Gravis Ultrasound PnP sound cards.
.It sb
SoundBlaster, SoundBlaster 16, and SoundBlaster Pro sound cards.
.It wss
Windows Sound System compatible cards, e.g., most of the cards
with Crystal Semiconductor chips.
.It ym
Yamaha OPL3-SAx sound cards.
.El
.Ss Miscellaneous devices
.Bl -tag -width pcdisplay -offset indent
.It pcic
.Tn PCI
.Tn PCMCIA
controllers, including the Cirrus Logic GD6729.
.El
.Pp
ISA Plug-and-Play devices also have alternate ISA drivers with
static ISA IO address configuration.
These are listed in
.Xr isa 4 .
The
.Nm
bus ignores devices that have already been found and configured as
.Xr isa 4
devices.
The
.Nm
bus is only effective on machines which lack a PnP BIOS, or  on
which the PnP BIOS has been disabled.
The manual pages for each individual
.Nm
driver also list
the supported front-ends for other buses.
.Sh SEE ALSO
.Xr aha 4 ,
.Xr aic 4 ,
.Xr an 4 ,
.Xr com 4 ,
.Xr ep 4 ,
.Xr ess 4 ,
.Xr guspnp 4 ,
.Xr intro 4 ,
.Xr isa 4 ,
.Xr le 4 ,
.Xr ne 4 ,
.Xr pcic 4 ,
.Xr sb 4 ,
.Xr tr 4 ,
.Xr wdc 4 ,
.Xr wss 4 ,
.Xr ym 4
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.3 .
